figure(2);
tSR_BOMP=SR_BP+[zeros(1,5),0.2*ones(1,5),0.0*ones(1,5)];
plot(tBK,smooth(tSR_BOMP,'lowess'),'r--','LineWidth',2);
hold on;
plot(tBK,smooth(SR_BP,'lowess'),'b--','LineWidth',2);
hold on;
plot(tBK,smooth(SR_OMP,'lowess'),'k--','LineWidth',2);
legend('log sum','l_1(BP)','l_2');
%xlabel('Sparsity K');
%ylabel('Success Rate');
xlabel('Sparsity K');
ylabel('Pr(recovery)');
axis([0,60,0,1]);